Subject: email architecture discussion of SIEVE

From: Dave Crocker <[email-masked]>
Date: Thu, 31 Mar 2005 10:20:11 -0800

Folks,

I've been working on a draft to document modern Internet Mail Architecture.  
The lastest draft is at 

  <http://bbiw.net/specifications/draft-crocker-email-arch-04.html>
and
  <http://www.ietf.org/internet-drafts/draft-crocker-email-arch-04.txt>

After getting some comments on this latest draft, I am changing the
discussion of specialized data (messages, etc).  I would appreciate any
comments you might have on this candidate text, especially about the 
discussion of sieve:

>  Internet Mail has some special control data:
>
>  Delivery Status Notification (DSN):
>
>  A Delivery Status Notification (DSN) is a message that can be generated by
>  the Mail Handling Service (MSA, MTA or MDA) and sent to the
>  RFC2821.MailFrom address. The mailbox for this is shown as Bounces in
>  Figure 5 It provides information about message transit, such as
>  transmission errors or successful delivery. [RFC3461]
>
>  Message Disposition Notification (MDN):
>
>  A Message Disposition Notification (MDN) is a message that can be
>  generated by an rMUA and is sent to the Disposition-Notification-To
>  address(es). The mailbox for this is shown as Disp in Figure 5. It
>  provides information about user-level, Recipient-side message processing,
>  such as indicating that the message has been displayed [RFC3798] or the
>  form of content that can be supported. [RFC3297]
>
>  Message Filtering (SIEVE):
>
>  SIEVE is a scripting language that permits specifying conditions for
>  differential handling of mail, at the time of delivery [RFC3028]. It can
>  be conveyed in a variety of ways, as a MIME part. Figure 5 shows a Sieve
>  specification going from the rMUA to the MDA. However filtering can be
>  done at many different points along the transit path and any one or more
>  of them might be subject to Sieve directives, especially within a single
>  AU. Hence the Figure shows only one relationship, for simplicity.

  d/
  ---
  Dave Crocker
  Brandenburg InternetWorking
  +1.408.246.8253
  dcrocker  a t ...
  WE'VE MOVED to:  www.bbiw.net